.rob-mh-footer {
    position: relative;

    &::before {
        content: '';
        background-color: var(--wp--preset--color--primary);
        background-image: var(--theme-texture);
        background-position: center;
        position: absolute;
        height: 24px;
        left: 0;
        right: 0;
        top: 0;
    }
}

section.brew-full-screen-banner,
section.brew-room-banner {
    padding-bottom: var(--wp--preset--spacing--x-large) !important;
	height: 480px;

    &::after {
        content: '';
        background-color: var(--wp--preset--color--primary);
        background-image: var(--theme-texture);
        background-position: center;
        position: absolute;
        height: 24px;
        left: 0;
        right: 0;
        bottom: 0;
    }
}

section.brew-two-col-intro {

    &::before,
    &::after {
        content: '';
        background-color: var(--wp--preset--color--primary);
        background-image: var(--theme-texture);
        background-position: center;
        position: absolute;
        left: 0;
        right: 0;
        z-index: 1;
    }

    &::before {
        bottom: 24px;
        height: 72px;

        @media(min-width: 786px) {
            bottom: auto;
            top: 0;
            height: 24px;
        }
    }

    &::after {
        bottom: 0;
        height: 24px;
    }
}

section.rob-room-listing {

    &::before,
    &::after {
        content: '';
        background-color: var(--wp--preset--color--primary);
        background-image: var(--theme-texture);
        background-position: center;
        position: absolute;
        height: 24px;
        left: 0;
        right: 0;
        z-index: 1
    }

    &::before {
        top: 0;
    }

    &::after {
        bottom: 0;
    }
}

section.brew-callout-cta {
    position: relative;
    margin-block: 24px;

    &::before {
        content: '';
        background-color: var(--wp--preset--color--primary);
        background-image: var(--theme-texture);
        background-position: center;
        position: absolute;
        display: block;
        left: 0;
        right: 0;
        top: -24px;
        bottom: -24px;
        z-index: -1;
    }
}

div.brew-fullpage {

    &::after {
        content: '';
        background-color: var(--wp--preset--color--primary);
        background-image: var(--theme-texture);
        background-position: center;
        height: 24px;
        width: calc(100% + var(--wp--preset--spacing--large) * 2);
        margin-bottom: calc(0px - var(--wp--preset--spacing--large));
        margin-inline: calc(0px - var(--wp--preset--spacing--large));
    }
}

.brew-fullpage__card-link {

    &::after {
        background-color: var(--wp--preset--color--primary);
        background-image: var(--theme-texture);
    }
}